package com.pcloud.book.pcloudkeyword.dao;

import com.pcloud.book.pcloudkeyword.entity.PcloudRobotClassify;
import com.pcloud.book.pcloudkeyword.facade.response.PcloudRobotClassifyResponseVO;
import com.pcloud.book.pcloudkeyword.vo.ClassifySeqNumUpdateVO;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PcloudRobotClassifyDao extends BaseDao<PcloudRobotClassify> {

    List<PcloudRobotClassifyResponseVO> listAllRobotClassify();

    void updateRobotClassifyKeywordClassify(Long id, Long keywordClassifyId);

    void updateWelcomeDuration(Long id, Integer welcomeDuration,Integer isOpenPushH5url);

    /**
     * 修改分类排序值
     * @param vo
     */
    void updateSeqNum4RobotClassify(ClassifySeqNumUpdateVO vo);
}
